Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.util
Class RegionUtil

    java.lang.Object
      org.apache.poi.ss.util.RegionUtil

    public final class RegionUtil

extends java.lang.Object

Various utility functions that make working with a region of cells easier.

Author:
  Eric Pugh epugh@upstate.com, (secondary) Avinash Kewalramani akewalramani@accelrys.com

Method Summary
`static void` | `setBorderBottom(int border, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the borderBottom attribute of the RegionUtil object
`static void` | `setBorderLeft(int border, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the left border for a region of cells by manipulating the cell style of the individual cells on the left
`static void` | `setBorderRight(int border, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the borderRight attribute of the RegionUtil object
`static void` | `setBorderTop(int border, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the borderBottom attribute of the RegionUtil object
`static void` | `setBottomBorderColor(int color, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the bottomBorderColor attribute of the RegionUtil object
`static void` | `setLeftBorderColor(int color, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the leftBorderColor attribute of the RegionUtil object
`static void` | `setRightBorderColor(int color, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the rightBorderColor attribute of the RegionUtil object
`static void` | `setTopBorderColor(int color, CellRangeAddress region, Sheet sheet, Workbook workbook)` Sets the topBorderColor attribute of the RegionUtil object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setBorderLeft

    public static void setBorderLeft(int border,
                                     CellRangeAddress region,
                                     Sheet sheet,
                                     Workbook workbook)

  Sets the left border for a region of cells by manipulating the cell style of the individual cells on the left

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setLeftBorderColor

    public static void setLeftBorderColor(int color,
                                          CellRangeAddress region,
                                          Sheet sheet,
                                          Workbook workbook)

  Sets the leftBorderColor attribute of the RegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBorderRight

    public static void setBorderRight(int border,
                                      CellRangeAddress region,
                                      Sheet sheet,
                                      Workbook workbook)

  Sets the borderRight attribute of the RegionUtil object

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setRightBorderColor

    public static void setRightBorderColor(int color,
                                           CellRangeAddress region,
                                           Sheet sheet,
                                           Workbook workbook)

  Sets the rightBorderColor attribute of the RegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBorderBottom

    public static void setBorderBottom(int border,
                                       CellRangeAddress region,
                                       Sheet sheet,
                                       Workbook workbook)

  Sets the borderBottom attribute of the RegionUtil object

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBottomBorderColor

    public static void setBottomBorderColor(int color,
                                            CellRangeAddress region,
                                            Sheet sheet,
                                            Workbook workbook)

  Sets the bottomBorderColor attribute of the RegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setBorderTop

    public static void setBorderTop(int border,
                                    CellRangeAddress region,
                                    Sheet sheet,
                                    Workbook workbook)

  Sets the borderBottom attribute of the RegionUtil object

  Parameters:
    `border` - The new border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

### setTopBorderColor

    public static void setTopBorderColor(int color,
                                         CellRangeAddress region,
                                         Sheet sheet,
                                         Workbook workbook)

  Sets the topBorderColor attribute of the RegionUtil object

  Parameters:
    `color` - The color of the border
    `region` - The region that should have the border
    `workbook` - The workbook that the region is on.
    `sheet` - The sheet that the region is on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD